## com.trilead.ssh2
Class SFTPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.trilead.ssh2.SFTPException

All Implemented Interfaces:
  java.io.Serializable

    public class SFTPException

extends java.io.IOException

Used in combination with the SFTPv3Client. This exception wraps error messages sent by the SFTP server.

See Also:
  Serialized Form

Method Summary
`int` `getServerErrorCode()` Get the error code sent by the server.
`java.lang.String` `getServerErrorCodeSymbol()` Get the symbolic name of the error code as given in the SFTP specs.
`java.lang.String` `getServerErrorCodeVerbose()` Get the description of the error code as given in the SFTP specs.
`java.lang.String` `getServerErrorMessage()` Get the error message sent by the server.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getServerErrorMessage

    public java.lang.String getServerErrorMessage()

  Get the error message sent by the server. Often, this message does not help a lot (e.g., "failure").

  Returns:
    the plain string as sent by the server.

### getServerErrorCode

    public int getServerErrorCode()

  Get the error code sent by the server.

  Returns:
    an error code as defined in the SFTP specs.

### getServerErrorCodeSymbol

    public java.lang.String getServerErrorCodeSymbol()

  Get the symbolic name of the error code as given in the SFTP specs.

  Returns:
    e.g., "SSH_FX_INVALID_FILENAME".

### getServerErrorCodeVerbose

    public java.lang.String getServerErrorCodeVerbose()

  Get the description of the error code as given in the SFTP specs.

  Returns:
    e.g., "The filename is not valid."